<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_2b2486424e" . "6dfb906c925" . "739c329be7c" => base64_decode("aGVh" . "ZGVy"), "_14feb73" . "099827a3" . "0c31c0b9" . "96c13f13" . "c" => base64_decode("b25LZXJuZ" . "WxSZXF1ZX" . "N0"), "_eea266d1da508f42deea4" . "9cc3add68ec" => base64_decode("U" . "F" . "V" . "U"), "_ab8b6a5b56b4cfd73230ed5ca" . "d4fb54c" => base64_decode("Y29yZS5ib" . "290ZWQ="), "_8ec8f26c7" . "42278f9061" . "5f50d682ee" . "a79" => base64_decode("UE" . "9T" . "VA" . "=="), "_e06da3ffba2e84b" . "8e6f94bd2d6ca3c5" . "2" => base64_decode("Y3JlYXRlX2ludGVyb" . "mFsX2xpbms="), "_fad3a97fa7919b1999c977c" . "8bdad925a" => base64_decode("c3ltZm9ueV9yZX" . "F1ZXN0"), "_e6d18c493fa" . "a20d5d45c075" . "1d2c02ce6" => base64_decode("TG9jY" . "XRpb2" . "46IA=" . "="), "_4d707fab93bebb00bbe" . "69e8159697c90" => base64_decode(""), "_db7b295629faa16027a2c263" . "095eba70" => base64_decode("cGhwX" . "3NhcG" . "lfbmF" . "tZQ=="), "_8fec21706bd243b37ecf62b1caf8fb" . "8a" => base64_decode("Y2x" . "p"), "_87daa84e346f6420a3f3426e" . "05d16a7b" => base64_decode("L" . "w" . "=" . "="), "_781e2532c1e56969c535c118" . "4064bae6" => base64_decode("b25Db3" . "JlQm9v" . "dA=="), "_bd8510ebf29b0f687" . "c25c90c740715d8" => base64_decode("aHR0cF9yZXNwb" . "25zZV9jb2Rl"), "_c91b0ff19f8" . "1a8873a4593a" . "23719472c" => base64_decode("cnRy" . "aW0="));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_c91b0ff" . "19f81a88" . "73a4593a" . "23719472" . "c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_87daa84e346f642" . "0a3f3426e05d16a7" . "b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_14feb73099827a30c31c0b996c13" . "f13c"], 1536), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_ab8b6a5b56b4cfd73230ed5cad4f" . "b54c"] => $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_781e2532c1e56969c535c118406" . "4bae6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4d707fab93be" . "bb00bbe69e815" . "9697c90"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_8ec8f26c74" . "2278f90615f" . "50d682eea79"] || $request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_eea266d1da508f42deea49cc3ad" . "d68ec"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_db7b295629f" . "aa16027a2c26" . "3095eba70"]() === $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_8fec21706bd243b37ecf6" . "2b1caf8fb8a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_fad3a97fa7919b1999" . "c977c8bdad925a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_e06da3ffba2e84b8e6f94bd2d6ca" . "3c52"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4d707fab93bebb00bbe69e815969" . "7c90"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_bd8510ebf29b0f687c" . "25c90c740715d8"](301);
            $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_2b2486424e6dfb906c925739" . "c329be7c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e6d18c493faa20d5" . "d45c0751d2c02ce6"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e06da3ffba2e84b8e6f94bd2" . "d6ca3c52"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}